package com.zg.project.wisdom.mapper;

import com.zg.project.wisdom.domain.RkBill;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface RkBillMapper {

    /**
     * 新增入库单据主表
     */
    int insertRkBill(RkBill bill);

    /**
     * 查询入库单据主表列表（可选）
     */
    List<RkBill> selectRkBillList(RkBill bill);

    /**
     * 根据单据号查询
     */
    RkBill selectRkBillByBillNo(String billNo);

    RkBill selectRkBillById(Long id);

    int updateRkBill(RkBill rkBill);

    int logicDeleteRkBillByIds(@Param("ids") Long[] ids);

    /**
     * 批量更新出库状态
     * @param ids
     */
    void updateOutStock(List<Long> ids);
}
